# browser-search-engines

I've found that [Vimium](https://github.com/philc/vimium) is the easiest way to import, create, use, and edit multiple custom browser search engines. (Of course, you can just disable the vim-related functionality you don't like it).

Other options I've tried in the past were [add-custom-search-engine](https://github.com/evilpie/add-custom-search-engine), and trying to parse the relevant search engines file in Firefox's profile folder :(

Unfortunately those were not very easy to use: migrating your search engines to a new computer, sharing with a friend, using version control, etc, but Vimium allows editing your browser search engines as a text file!

You can view my engines [here](https://code.gkaklas.gr/gkaklas/browser-search-engines/src/branch/main/vimium.md?display=source), and copy-paste any engine you want to use into your Vimium's settings. (The file is not actually a Markdown file, I just used the file extension to enable syntax highlighting for the comments I've written)
