# Packages
## Linux distribution packages
nixp: https://search.nixos.org/packages?channel=unstable&from=0&size=50&sort=relevance&type=packages&query=%s NixOS packages
apk: https://pkgs.alpinelinustx.org/packages?name=%s Alpine package search
lmp: http://packages.linuxmint.com/search.php?release=any&section=any&keyword=%s LinuxMint package search
fp: https://apps.fedoraproject.org/packages/s/%s Fedora package search
deb: https://packages.debian.org/search?keywords=%s&searchon=names&suite=stable&section=all Debian package search
ubp: https://packages.ubuntu.com/search?keywords=%s&searchon=names&suite=all&section=all Ubuntu package search
osp: https://software.opensuse.org/search?utf8=%E2%9C%93&baseproject=ALL&q=%s OpenSUSE package search
ebuild: https://packages.gentoo.org/packages/search?q=%s Gento package search
mp: https://packages.manjaro.org/?query=%s Manjaro package search
### ArchLinux
ap: https://www.archlinux.org/packages/?q=%s Archlinux package search
aus: https://aur.archlinux.org/packages/?O=0&K=%s AUR package search
aur: https://aur.archlinux.org/packages/%s/ AUR package search
apb: https://github.com/archlinux/svntogit-packages/blob/packages/%s/trunk/PKGBUILD#L1 ArchLinux PKGBUILD
pb: https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=%s AUR package PKGBUILD


## Programming-language-specific
pip: https://pypi.org/search/?q=%s Python package search
ctan: https://ctan.org/pkg/%s CTAN package search
gem: https://rubygems.org/search?query=%s RubyGems
crate: https://crates.io/search?q=%s&sort=downloads Crates.io

## Other
conda: https://anaconda.org/search?q=%s Conda package search
fpm: https://github.com/flathub/%s Flathub package manifest repository
fh: https://flathub.org/apps/search/%s Flathub package search
fdroid: https://search.f-droid.org/?q=%s&opensearch=1 F-Droid package search
cdn: https://cdnjs.com/#q=%s cdnjs
addon: https://addons.mozilla.org/en-US/firefox/search/?platform=linux&q=%s&type=extension Firefox Linux extensions
va: https://vimawesome.com/?q=%s Vimawesome
nc: https://neovimcraft.com/?search=%s NeovimCraft
dh: https://hub.docker.com/search?q=%s&type=image&operating_system=linux&architecture=amd64 Dockerhub search
ag: https://galaxy.ansible.com/search?deprecated=false&keywords=%s&order_by=-relevance Ansible Galaxy
dhh: https://hub.docker.com/r/%s Dockerhub image
vb: https://app.vagrantup.com/boxes/search?utf8=%E2%9C%93&sort=downloads&provider=&q=%s Vagrant Boxes
nh: https://www.nixhub.io/search?q=%s Nixhub


# Software forges
gh: https://github.com/search?q=%s&ref=opensearch&type=repositories GitHub repositories
ght: https://github.com/topics/%s GitHub topic
cb: https://codeberg.org/explore/repos?q=%s&only_show_relevant=true&sort=moststars Codeberg
gl: https://gitlab.com/explore?name=%s GitLab
grep: https://grep.app/search?q=%s Grep.app


# 3D Designs
tv: https://www.thingiverse.com/search?sort=popular&q=%s&type=things Thingiverse
print: https://www.printables.com/search/models?ctx=models&q=%s Printables
mmf: https://www.myminifactory.com/search/?object=1&store=0&query=%s&sortBy=popularity MyMiniFactory
pinshape: https://pinshape.com/search/designs?q=%s&sort-by=popularity&is-free=true Pinshape
cults: https://cults3d.com/en/search?direction=desc&only_free=true&q=%s&sort=sales_counter Cults


# Documentation
hm: https://home-manager-options.extranix.com/?query=%s&release=master HomeManager options
nixo: https://search.nixos.org/options?channel=unstable&size=50&sort=relevance&type=packages&query=%s NixOS options
nw: https://wiki.nixos.org/w/index.php?search=%s&title=Special%3ASearch NixOS Wiki
gw: https://wiki.gentoo.org/index.php?title=Special:Search&search=%s Gentoo wiki
man: https://man.archlinux.org/search?q=%s&go=Go ArchLinux man page
aw: https://wiki.archlinux.org/index.php?title=Special:Search&search=%s Archlinux wiki
llvm: https://llvm.org/docs/LangRef.html#%s-instruction LLVM instruction
osm: https://wiki.openstreetmap.org/w/index.php?title=Special:Search&search=%s OpenStreetMap wiki
rr: https://reprap.org/mediawiki/index.php?title=Special:Search&search=%s RepRap wiki
ffmpeg: https://ffmpeg.org/ffmpeg-filters.html#%s FFmpeg
gc: http://marlinfw.org/docs/gcode/%s.html GCode command
am: https://docs.ansible.com/ansible/latest/modules/%s_module.html#parameters Ansible module

## Programming
py: https://docs.python.org/3.12/search.html?q=%s Python documentation
rsd: https://docs.rs/%s Docs.rs
rstd: https://doc.rust-lang.org/std/index.html?search=%s Rust std
mdn: https://developer.mozilla.org/en-US/search?q=%s&topic=css&topic=html&topic=js&topic=webext MDN
dd: https://devdocs.io/#q=%s DevDocs


# Shopping
bg: https://www.banggood.com/search/%s/0-0-0-1-4-48-0-price-0-0_p-1.html BangGood
ebay: https://www.ebay.com/sch/i.html?_nkw=%s&_sacat=0&LH_BIN=1&LH_ItemCondition=3&_sop=15 Ebay
ali: https://www.aliexpress.com/w/wholesale-%s.html?g=y&SearchText=%s&sortType=total_tranpro_desc AliExpress
lcsc: https://lcsc.com/search?q=%s#product_table_list LCSC
mouser: https://gr.mouser.com/Search/Refine?Keyword=%s Mouser
### Local
sk: https://www.skroutz.gr/search?keyphrase=%s&from=opensearch Skroutz
ab: https://www.ab.gr/click2shop/search?q=%s:price-piece&sort=price-piece&text=%s AB Vassilopoulos
grobo: https://grobotronics.com/?match=all&subcats=Y&pcode_from_q=Y&pshort=Y&pfull=Y&pname=Y&pkeywords=Y&search_performed=Y&q=%s&dispatch=products.search

## Game CD keys
gg: https://gamegator.net/games/pc?query=%s GameGator
aks: https://www.allkeyshop.com/blog/catalogue/search-%s/ AllKeyShop
akss: https://www.allkeyshop.com/blog/buy-%s-cd-key-compare-prices/ AllKeyShop game
cdk: https://www.cdkeys.com/?q=%s CDKeys
ig: https://www.instant-gaming.com/en/search/?q=%s Instant Gaming


# Search engines
mj: https://www.mojeek.com/search?q=%s Mojeek
ddg: https://duckduckgo.com/?q=%s DuckDuckGo
ss: https://www.startpage.com/do/dsearch?query=%s&cat=web&pl=opensearch&language=english StartPage


# Reference
wr: https://www.wordreference.com/engr/%s WordReference
mw: https://www.merriam-webster.com/dictionary/%s Merriam-Webster
emoji: https://emojipedia.org/search/?q=%s Emojipedia
wk: https://en.wikipedia.org/wiki/Special:Search?search=%s&ns0=1 Wikipedia
ςκ: https://el.wikipedia.org/w/index.php?title=%CE%95%CE%B9%CE%B4%CE%B9%CE%BA%CF%8C:%CE%91%CE%BD%CE%B1%CE%B6%CE%AE%CF%84%CE%B7%CF%83%CE%B7&search=%s Wikipedia (Greek)
intel: https://ark.intel.com/content/www/us/en/ark/search.html?q=%s Intel Ark
meme: http://knowyourmeme.com/search?q=%s KnowYourMeme
gif: https://giphy.com/search/%s/ GIPHY
mba: https://musicbrainz.org/search?query=%s&type=artist&method=indexed MusicBrainz Artist
mbr: https://musicbrainz.org/search?query=%s&type=release&method=indexed Musicbrains

# Other
yt: https://www.youtube.com/results?search_query=%s&utm_source=opensearch Youtube
ytv: https://youtube.com/watch?v=%s Youtube video
inst: https://www.instructables.com/howto/%s Instructables
diavgeia: https://diavgeia.gov.gr/search?query=q%3A%22%s%22&page=0 Diavgeia
tra: https://translate.google.com/#view=home&op=translate&sl=en&tl=el&text=%s Google Translate
elta: https://www.elta.gr/track?code=%s ELTA tracking
ec: https://www.elta-courier.gr/search?br=%s ELTA Courier
alt: https://alternativeto.net/browse/search/?q=%s AlternativeTo search
alto: https://alternativeto.net/software/%s/?license=opensource AlternativeTo open-source
